import transformCss from '..'

it('textShadow with all values', () => {
  expect(transformCss([['text-shadow', '10pt 20pt 30pt red']])).toEqual({
    textShadowOffset: { width: 10, height: 20 },
    textShadowRadius: 30,
    textShadowColor: 'red',
  })
})

it('textShadow omitting blur', () => {
  expect(transformCss([['text-shadow', '10pt 20pt red']])).toEqual({
    textShadowOffset: { width: 10, height: 20 },
    textShadowRadius: 0,
    textShadowColor: 'red',
  })
})

it('textShadow omitting color', () => {
  expect(transformCss([['text-shadow', '10pt 20pt']])).toEqual({
    textShadowOffset: { width: 10, height: 20 },
    textShadowRadius: 0,
    textShadowColor: 'black',
  })
})

it('textShadow enforces offset-x and offset-y', () => {
  expect(() => transformCss([['text-shadow', 'red']])).toThrow()
  expect(() => transformCss([['text-shadow', '10pt red']])).toThrow()
})
